<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Timers, Timeout, Interval </title>
</head>
<body>
    <script>
        // (function(){
        //     //timeout es cuando el tiempo espasifiaco se acab
        //     var contador=0;
        //     var saludo=function(){
        //         contador++;
        //         console.log(contador);
        //         if(contador=== 5){
        //             clearInterval(intervalo);
        //         }
        //     };
        //     //setTimeout(saludo, 1000);
        //    //Interval nos permita ejutar  en siertos intervalos de tiempo
        //     var intervalo=setInterval(saludo, 1000);
        // }())   
        (function(){
            var contador=0;
            var saludo = function(){
                contador++;
                console.log(contador);
                setTimeout(saludo,1)
            };
            saludo();
        }()) 
        
    </script>
</body>
</html>